View Javadoc

    1   // ========================================================================
    2   // $Id: Target.java,v 1.3 2004/05/09 20:31:28 gregwilkins Exp $
    3   // Copyright 1996-2004 Mort Bay Consulting Pty. Ltd.
    4   // ------------------------------------------------------------------------
    5   // Licensed under the Apache License, Version 2.0 (the "License");
    6   // you may not use this file except in compliance with the License.
    7   // You may obtain a copy of the License at
    8   // http://www.apache.org/licenses/LICENSE-2.0
    9   // Unless required by applicable law or agreed to in writing, software
    10  // distributed under the License is distributed on an "AS IS" BASIS,
    11  // WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    12  // See the License for the specific language governing permissions and
    13  // limitations under the License.
    14  // ========================================================================
    15
    16  package org.mortbay.html;
    17
    18
    19  /* -------------------------------------------------------------------- */
    20  /** HTML Link Target.
    21   * This is a HTML reference (not a CSS Link).
    22   * @see StyleLink
    23   */
    24  public class Target extends Block
    25  {
    26
    27      /* ----------------------------------------------------------------- */
    28      /** Construct Link.
    29       * @param target The target name
    30       */
    31      public Target(String target)
    32      {
    33          super("a");
    34          attribute("name",target);
    35      }
    36
    37      /* ----------------------------------------------------------------- */
    38      /** Construct Link.
    39       * @param target The target name
    40       * @param link Link Element
    41       */
    42      public Target(String target,Object link)
    43      {
    44          this(target);
    45          add(link);
    46      }
    47  }